5 Security Updates for RHEL
Posted on: 02/03/2012 12:23 PM

The following security updates has been released for RHEL: [RHSA-2012:0093-01] Critical: php security update, [RHSA-2012:0095-01] Moderate: ghostscript security update, [RHSA-2012:0092-01] Critical: php53 security update, [RHSA-2012:0094-01] Important: freetype security update, and [RHSA-2012:0096-01] Moderate: ghostscript security update

[RHSA-2012:0093-01] Critical: php security update
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Critical: php security update
Advisory ID: RHSA-2012:0093-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2012-0093.html
Issue date: 2012-02-02
CVE Names: CVE-2012-0830
=====================================================================

1. Summary:

Updated php packages that fix one security issue are now available for
Red Hat Enterprise Linux 4, 5 and 6.

The Red Hat Security Response Team has rated this update as having critical
security impact. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available from the CVE link in
the References section.

2. Relevant releases/architectures:

RHEL Desktop Workstation (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux (v. 5 server) - i386, ia64, ppc, s390x, x86_64
Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop Optional (v. 6) - i386, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux HPC Node (v. 6) - x86_64
Red Hat Enterprise Linux HPC Node Optional (v. 6) - x86_64
Red Hat Enterprise Linux Server (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Server Optional (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux Workstation (v. 6) - i386, x86_64
Red Hat Enterprise Linux Workstation Optional (v. 6) - i386, x86_64

3. Description:

PHP is an HTML-embedded scripting language commonly used with the Apache
HTTP Server.

It was discovered that the fix for CVE-2011-4885 (released via
RHSA-2012:0071, RHSA-2012:0033, and RHSA-2012:0019 for php packages in Red
Hat Enterprise Linux 4, 5, and 6 respectively) introduced an uninitialized
memory use flaw. A remote attacker could send a specially-crafted HTTP
request to cause the PHP interpreter to crash or, possibly, execute
arbitrary code. (CVE-2012-0830)

All php users should upgrade to these updated packages, which contain a
backported patch to resolve this issue. After installing the updated
packages, the httpd daemon must be restarted for the update to take effect.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

786686 - CVE-2012-0830 php: remote code exec flaw introduced in the CVE-2011-4885 hashdos fix

6. Package List:

Red Hat Enterprise Linux AS version 4:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/php-4.3.9-3.36.src.rpm

i386:
php-4.3.9-3.36.i386.rpm
php-debuginfo-4.3.9-3.36.i386.rpm
php-devel-4.3.9-3.36.i386.rpm
php-domxml-4.3.9-3.36.i386.rpm
php-gd-4.3.9-3.36.i386.rpm
php-imap-4.3.9-3.36.i386.rpm
php-ldap-4.3.9-3.36.i386.rpm
php-mbstring-4.3.9-3.36.i386.rpm
php-mysql-4.3.9-3.36.i386.rpm
php-ncurses-4.3.9-3.36.i386.rpm
php-odbc-4.3.9-3.36.i386.rpm
php-pear-4.3.9-3.36.i386.rpm
php-pgsql-4.3.9-3.36.i386.rpm
php-snmp-4.3.9-3.36.i386.rpm
php-xmlrpc-4.3.9-3.36.i386.rpm

ia64:
php-4.3.9-3.36.ia64.rpm
php-debuginfo-4.3.9-3.36.ia64.rpm
php-devel-4.3.9-3.36.ia64.rpm
php-domxml-4.3.9-3.36.ia64.rpm
php-gd-4.3.9-3.36.ia64.rpm
php-imap-4.3.9-3.36.ia64.rpm
php-ldap-4.3.9-3.36.ia64.rpm
php-mbstring-4.3.9-3.36.ia64.rpm
php-mysql-4.3.9-3.36.ia64.rpm
php-ncurses-4.3.9-3.36.ia64.rpm
php-odbc-4.3.9-3.36.ia64.rpm
php-pear-4.3.9-3.36.ia64.rpm
php-pgsql-4.3.9-3.36.ia64.rpm
php-snmp-4.3.9-3.36.ia64.rpm
php-xmlrpc-4.3.9-3.36.ia64.rpm

ppc:
php-4.3.9-3.36.ppc.rpm
php-debuginfo-4.3.9-3.36.ppc.rpm
php-devel-4.3.9-3.36.ppc.rpm
php-domxml-4.3.9-3.36.ppc.rpm
php-gd-4.3.9-3.36.ppc.rpm
php-imap-4.3.9-3.36.ppc.rpm
php-ldap-4.3.9-3.36.ppc.rpm
php-mbstring-4.3.9-3.36.ppc.rpm
php-mysql-4.3.9-3.36.ppc.rpm
php-ncurses-4.3.9-3.36.ppc.rpm
php-odbc-4.3.9-3.36.ppc.rpm
php-pear-4.3.9-3.36.ppc.rpm
php-pgsql-4.3.9-3.36.ppc.rpm
php-snmp-4.3.9-3.36.ppc.rpm
php-xmlrpc-4.3.9-3.36.ppc.rpm

s390:
php-4.3.9-3.36.s390.rpm
php-debuginfo-4.3.9-3.36.s390.rpm
php-devel-4.3.9-3.36.s390.rpm
php-domxml-4.3.9-3.36.s390.rpm
php-gd-4.3.9-3.36.s390.rpm
php-imap-4.3.9-3.36.s390.rpm
php-ldap-4.3.9-3.36.s390.rpm
php-mbstring-4.3.9-3.36.s390.rpm
php-mysql-4.3.9-3.36.s390.rpm
php-ncurses-4.3.9-3.36.s390.rpm
php-odbc-4.3.9-3.36.s390.rpm
php-pear-4.3.9-3.36.s390.rpm
php-pgsql-4.3.9-3.36.s390.rpm
php-snmp-4.3.9-3.36.s390.rpm
php-xmlrpc-4.3.9-3.36.s390.rpm

s390x:
php-4.3.9-3.36.s390x.rpm
php-debuginfo-4.3.9-3.36.s390x.rpm
php-devel-4.3.9-3.36.s390x.rpm
php-domxml-4.3.9-3.36.s390x.rpm
php-gd-4.3.9-3.36.s390x.rpm
php-imap-4.3.9-3.36.s390x.rpm
php-ldap-4.3.9-3.36.s390x.rpm
php-mbstring-4.3.9-3.36.s390x.rpm
php-mysql-4.3.9-3.36.s390x.rpm
php-ncurses-4.3.9-3.36.s390x.rpm
php-odbc-4.3.9-3.36.s390x.rpm
php-pear-4.3.9-3.36.s390x.rpm
php-pgsql-4.3.9-3.36.s390x.rpm
php-snmp-4.3.9-3.36.s390x.rpm
php-xmlrpc-4.3.9-3.36.s390x.rpm

x86_64:
php-4.3.9-3.36.x86_64.rpm
php-debuginfo-4.3.9-3.36.x86_64.rpm
php-devel-4.3.9-3.36.x86_64.rpm
php-domxml-4.3.9-3.36.x86_64.rpm
php-gd-4.3.9-3.36.x86_64.rpm
php-imap-4.3.9-3.36.x86_64.rpm
php-ldap-4.3.9-3.36.x86_64.rpm
php-mbstring-4.3.9-3.36.x86_64.rpm
php-mysql-4.3.9-3.36.x86_64.rpm
php-ncurses-4.3.9-3.36.x86_64.rpm
php-odbc-4.3.9-3.36.x86_64.rpm
php-pear-4.3.9-3.36.x86_64.rpm
php-pgsql-4.3.9-3.36.x86_64.rpm
php-snmp-4.3.9-3.36.x86_64.rpm
php-xmlrpc-4.3.9-3.36.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/php-4.3.9-3.36.src.rpm

i386:
php-4.3.9-3.36.i386.rpm
php-debuginfo-4.3.9-3.36.i386.rpm
php-devel-4.3.9-3.36.i386.rpm
php-domxml-4.3.9-3.36.i386.rpm
php-gd-4.3.9-3.36.i386.rpm
php-imap-4.3.9-3.36.i386.rpm
php-ldap-4.3.9-3.36.i386.rpm
php-mbstring-4.3.9-3.36.i386.rpm
php-mysql-4.3.9-3.36.i386.rpm
php-ncurses-4.3.9-3.36.i386.rpm
php-odbc-4.3.9-3.36.i386.rpm
php-pear-4.3.9-3.36.i386.rpm
php-pgsql-4.3.9-3.36.i386.rpm
php-snmp-4.3.9-3.36.i386.rpm
php-xmlrpc-4.3.9-3.36.i386.rpm

x86_64:
php-4.3.9-3.36.x86_64.rpm
php-debuginfo-4.3.9-3.36.x86_64.rpm
php-devel-4.3.9-3.36.x86_64.rpm
php-domxml-4.3.9-3.36.x86_64.rpm
php-gd-4.3.9-3.36.x86_64.rpm
php-imap-4.3.9-3.36.x86_64.rpm
php-ldap-4.3.9-3.36.x86_64.rpm
php-mbstring-4.3.9-3.36.x86_64.rpm
php-mysql-4.3.9-3.36.x86_64.rpm
php-ncurses-4.3.9-3.36.x86_64.rpm
php-odbc-4.3.9-3.36.x86_64.rpm
php-pear-4.3.9-3.36.x86_64.rpm
php-pgsql-4.3.9-3.36.x86_64.rpm
php-snmp-4.3.9-3.36.x86_64.rpm
php-xmlrpc-4.3.9-3.36.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/php-4.3.9-3.36.src.rpm

i386:
php-4.3.9-3.36.i386.rpm
php-debuginfo-4.3.9-3.36.i386.rpm
php-devel-4.3.9-3.36.i386.rpm
php-domxml-4.3.9-3.36.i386.rpm
php-gd-4.3.9-3.36.i386.rpm
php-imap-4.3.9-3.36.i386.rpm
php-ldap-4.3.9-3.36.i386.rpm
php-mbstring-4.3.9-3.36.i386.rpm
php-mysql-4.3.9-3.36.i386.rpm
php-ncurses-4.3.9-3.36.i386.rpm
php-odbc-4.3.9-3.36.i386.rpm
php-pear-4.3.9-3.36.i386.rpm
php-pgsql-4.3.9-3.36.i386.rpm
php-snmp-4.3.9-3.36.i386.rpm
php-xmlrpc-4.3.9-3.36.i386.rpm

ia64:
php-4.3.9-3.36.ia64.rpm
php-debuginfo-4.3.9-3.36.ia64.rpm
php-devel-4.3.9-3.36.ia64.rpm
php-domxml-4.3.9-3.36.ia64.rpm
php-gd-4.3.9-3.36.ia64.rpm
php-imap-4.3.9-3.36.ia64.rpm
php-ldap-4.3.9-3.36.ia64.rpm
php-mbstring-4.3.9-3.36.ia64.rpm
php-mysql-4.3.9-3.36.ia64.rpm
php-ncurses-4.3.9-3.36.ia64.rpm
php-odbc-4.3.9-3.36.ia64.rpm
php-pear-4.3.9-3.36.ia64.rpm
php-pgsql-4.3.9-3.36.ia64.rpm
php-snmp-4.3.9-3.36.ia64.rpm
php-xmlrpc-4.3.9-3.36.ia64.rpm

x86_64:
php-4.3.9-3.36.x86_64.rpm
php-debuginfo-4.3.9-3.36.x86_64.rpm
php-devel-4.3.9-3.36.x86_64.rpm
php-domxml-4.3.9-3.36.x86_64.rpm
php-gd-4.3.9-3.36.x86_64.rpm
php-imap-4.3.9-3.36.x86_64.rpm
php-ldap-4.3.9-3.36.x86_64.rpm
php-mbstring-4.3.9-3.36.x86_64.rpm
php-mysql-4.3.9-3.36.x86_64.rpm
php-ncurses-4.3.9-3.36.x86_64.rpm
php-odbc-4.3.9-3.36.x86_64.rpm
php-pear-4.3.9-3.36.x86_64.rpm
php-pgsql-4.3.9-3.36.x86_64.rpm
php-snmp-4.3.9-3.36.x86_64.rpm
php-xmlrpc-4.3.9-3.36.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/php-4.3.9-3.36.src.rpm

i386:
php-4.3.9-3.36.i386.rpm
php-debuginfo-4.3.9-3.36.i386.rpm
php-devel-4.3.9-3.36.i386.rpm
php-domxml-4.3.9-3.36.i386.rpm
php-gd-4.3.9-3.36.i386.rpm
php-imap-4.3.9-3.36.i386.rpm
php-ldap-4.3.9-3.36.i386.rpm
php-mbstring-4.3.9-3.36.i386.rpm
php-mysql-4.3.9-3.36.i386.rpm
php-ncurses-4.3.9-3.36.i386.rpm
php-odbc-4.3.9-3.36.i386.rpm
php-pear-4.3.9-3.36.i386.rpm
php-pgsql-4.3.9-3.36.i386.rpm
php-snmp-4.3.9-3.36.i386.rpm
php-xmlrpc-4.3.9-3.36.i386.rpm

ia64:
php-4.3.9-3.36.ia64.rpm
php-debuginfo-4.3.9-3.36.ia64.rpm
php-devel-4.3.9-3.36.ia64.rpm
php-domxml-4.3.9-3.36.ia64.rpm
php-gd-4.3.9-3.36.ia64.rpm
php-imap-4.3.9-3.36.ia64.rpm
php-ldap-4.3.9-3.36.ia64.rpm
php-mbstring-4.3.9-3.36.ia64.rpm
php-mysql-4.3.9-3.36.ia64.rpm
php-ncurses-4.3.9-3.36.ia64.rpm
php-odbc-4.3.9-3.36.ia64.rpm
php-pear-4.3.9-3.36.ia64.rpm
php-pgsql-4.3.9-3.36.ia64.rpm
php-snmp-4.3.9-3.36.ia64.rpm
php-xmlrpc-4.3.9-3.36.ia64.rpm

x86_64:
php-4.3.9-3.36.x86_64.rpm
php-debuginfo-4.3.9-3.36.x86_64.rpm
php-devel-4.3.9-3.36.x86_64.rpm
php-domxml-4.3.9-3.36.x86_64.rpm
php-gd-4.3.9-3.36.x86_64.rpm
php-imap-4.3.9-3.36.x86_64.rpm
php-ldap-4.3.9-3.36.x86_64.rpm
php-mbstring-4.3.9-3.36.x86_64.rpm
php-mysql-4.3.9-3.36.x86_64.rpm
php-ncurses-4.3.9-3.36.x86_64.rpm
php-odbc-4.3.9-3.36.x86_64.rpm
php-pear-4.3.9-3.36.x86_64.rpm
php-pgsql-4.3.9-3.36.x86_64.rpm
php-snmp-4.3.9-3.36.x86_64.rpm
php-xmlrpc-4.3.9-3.36.x86_64.rpm

RHEL Desktop Workstation (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/php-5.1.6-27.el5_7.5.src.rpm

i386:
php-5.1.6-27.el5_7.5.i386.rpm
php-bcmath-5.1.6-27.el5_7.5.i386.rpm
php-cli-5.1.6-27.el5_7.5.i386.rpm
php-common-5.1.6-27.el5_7.5.i386.rpm
php-dba-5.1.6-27.el5_7.5.i386.rpm
php-debuginfo-5.1.6-27.el5_7.5.i386.rpm
php-devel-5.1.6-27.el5_7.5.i386.rpm
php-gd-5.1.6-27.el5_7.5.i386.rpm
php-imap-5.1.6-27.el5_7.5.i386.rpm
php-ldap-5.1.6-27.el5_7.5.i386.rpm
php-mbstring-5.1.6-27.el5_7.5.i386.rpm
php-mysql-5.1.6-27.el5_7.5.i386.rpm
php-ncurses-5.1.6-27.el5_7.5.i386.rpm
php-odbc-5.1.6-27.el5_7.5.i386.rpm
php-pdo-5.1.6-27.el5_7.5.i386.rpm
php-pgsql-5.1.6-27.el5_7.5.i386.rpm
php-snmp-5.1.6-27.el5_7.5.i386.rpm
php-soap-5.1.6-27.el5_7.5.i386.rpm
php-xml-5.1.6-27.el5_7.5.i386.rpm
php-xmlrpc-5.1.6-27.el5_7.5.i386.rpm

x86_64:
php-5.1.6-27.el5_7.5.x86_64.rpm
php-bcmath-5.1.6-27.el5_7.5.x86_64.rpm
php-cli-5.1.6-27.el5_7.5.x86_64.rpm
php-common-5.1.6-27.el5_7.5.x86_64.rpm
php-dba-5.1.6-27.el5_7.5.x86_64.rpm
php-debuginfo-5.1.6-27.el5_7.5.x86_64.rpm
php-devel-5.1.6-27.el5_7.5.x86_64.rpm
php-gd-5.1.6-27.el5_7.5.x86_64.rpm
php-imap-5.1.6-27.el5_7.5.x86_64.rpm
php-ldap-5.1.6-27.el5_7.5.x86_64.rpm
php-mbstring-5.1.6-27.el5_7.5.x86_64.rpm
php-mysql-5.1.6-27.el5_7.5.x86_64.rpm
php-ncurses-5.1.6-27.el5_7.5.x86_64.rpm
php-odbc-5.1.6-27.el5_7.5.x86_64.rpm
php-pdo-5.1.6-27.el5_7.5.x86_64.rpm
php-pgsql-5.1.6-27.el5_7.5.x86_64.rpm
php-snmp-5.1.6-27.el5_7.5.x86_64.rpm
php-soap-5.1.6-27.el5_7.5.x86_64.rpm
php-xml-5.1.6-27.el5_7.5.x86_64.rpm
php-xmlrpc-5.1.6-27.el5_7.5.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/php-5.1.6-27.el5_7.5.src.rpm

i386:
php-5.1.6-27.el5_7.5.i386.rpm
php-bcmath-5.1.6-27.el5_7.5.i386.rpm
php-cli-5.1.6-27.el5_7.5.i386.rpm
php-common-5.1.6-27.el5_7.5.i386.rpm
php-dba-5.1.6-27.el5_7.5.i386.rpm
php-debuginfo-5.1.6-27.el5_7.5.i386.rpm
php-devel-5.1.6-27.el5_7.5.i386.rpm
php-gd-5.1.6-27.el5_7.5.i386.rpm
php-imap-5.1.6-27.el5_7.5.i386.rpm
php-ldap-5.1.6-27.el5_7.5.i386.rpm
php-mbstring-5.1.6-27.el5_7.5.i386.rpm
php-mysql-5.1.6-27.el5_7.5.i386.rpm
php-ncurses-5.1.6-27.el5_7.5.i386.rpm
php-odbc-5.1.6-27.el5_7.5.i386.rpm
php-pdo-5.1.6-27.el5_7.5.i386.rpm
php-pgsql-5.1.6-27.el5_7.5.i386.rpm
php-snmp-5.1.6-27.el5_7.5.i386.rpm
php-soap-5.1.6-27.el5_7.5.i386.rpm
php-xml-5.1.6-27.el5_7.5.i386.rpm
php-xmlrpc-5.1.6-27.el5_7.5.i386.rpm

ia64:
php-5.1.6-27.el5_7.5.ia64.rpm
php-bcmath-5.1.6-27.el5_7.5.ia64.rpm
php-cli-5.1.6-27.el5_7.5.ia64.rpm
php-common-5.1.6-27.el5_7.5.ia64.rpm
php-dba-5.1.6-27.el5_7.5.ia64.rpm
php-debuginfo-5.1.6-27.el5_7.5.ia64.rpm
php-devel-5.1.6-27.el5_7.5.ia64.rpm
php-gd-5.1.6-27.el5_7.5.ia64.rpm
php-imap-5.1.6-27.el5_7.5.ia64.rpm
php-ldap-5.1.6-27.el5_7.5.ia64.rpm
php-mbstring-5.1.6-27.el5_7.5.ia64.rpm
php-mysql-5.1.6-27.el5_7.5.ia64.rpm
php-ncurses-5.1.6-27.el5_7.5.ia64.rpm
php-odbc-5.1.6-27.el5_7.5.ia64.rpm
php-pdo-5.1.6-27.el5_7.5.ia64.rpm
php-pgsql-5.1.6-27.el5_7.5.ia64.rpm
php-snmp-5.1.6-27.el5_7.5.ia64.rpm
php-soap-5.1.6-27.el5_7.5.ia64.rpm
php-xml-5.1.6-27.el5_7.5.ia64.rpm
php-xmlrpc-5.1.6-27.el5_7.5.ia64.rpm

ppc:
php-5.1.6-27.el5_7.5.ppc.rpm
php-bcmath-5.1.6-27.el5_7.5.ppc.rpm
php-cli-5.1.6-27.el5_7.5.ppc.rpm
php-common-5.1.6-27.el5_7.5.ppc.rpm
php-dba-5.1.6-27.el5_7.5.ppc.rpm
php-debuginfo-5.1.6-27.el5_7.5.ppc.rpm
php-devel-5.1.6-27.el5_7.5.ppc.rpm
php-gd-5.1.6-27.el5_7.5.ppc.rpm
php-imap-5.1.6-27.el5_7.5.ppc.rpm
php-ldap-5.1.6-27.el5_7.5.ppc.rpm
php-mbstring-5.1.6-27.el5_7.5.ppc.rpm
php-mysql-5.1.6-27.el5_7.5.ppc.rpm
php-ncurses-5.1.6-27.el5_7.5.ppc.rpm
php-odbc-5.1.6-27.el5_7.5.ppc.rpm
php-pdo-5.1.6-27.el5_7.5.ppc.rpm
php-pgsql-5.1.6-27.el5_7.5.ppc.rpm
php-snmp-5.1.6-27.el5_7.5.ppc.rpm
php-soap-5.1.6-27.el5_7.5.ppc.rpm
php-xml-5.1.6-27.el5_7.5.ppc.rpm
php-xmlrpc-5.1.6-27.el5_7.5.ppc.rpm

s390x:
php-5.1.6-27.el5_7.5.s390x.rpm
php-bcmath-5.1.6-27.el5_7.5.s390x.rpm
php-cli-5.1.6-27.el5_7.5.s390x.rpm
php-common-5.1.6-27.el5_7.5.s390x.rpm
php-dba-5.1.6-27.el5_7.5.s390x.rpm
php-debuginfo-5.1.6-27.el5_7.5.s390x.rpm
php-devel-5.1.6-27.el5_7.5.s390x.rpm
php-gd-5.1.6-27.el5_7.5.s390x.rpm
php-imap-5.1.6-27.el5_7.5.s390x.rpm
php-ldap-5.1.6-27.el5_7.5.s390x.rpm
php-mbstring-5.1.6-27.el5_7.5.s390x.rpm
php-mysql-5.1.6-27.el5_7.5.s390x.rpm
php-ncurses-5.1.6-27.el5_7.5.s390x.rpm
php-odbc-5.1.6-27.el5_7.5.s390x.rpm
php-pdo-5.1.6-27.el5_7.5.s390x.rpm
php-pgsql-5.1.6-27.el5_7.5.s390x.rpm
php-snmp-5.1.6-27.el5_7.5.s390x.rpm
php-soap-5.1.6-27.el5_7.5.s390x.rpm
php-xml-5.1.6-27.el5_7.5.s390x.rpm
php-xmlrpc-5.1.6-27.el5_7.5.s390x.rpm

x86_64:
php-5.1.6-27.el5_7.5.x86_64.rpm
php-bcmath-5.1.6-27.el5_7.5.x86_64.rpm
php-cli-5.1.6-27.el5_7.5.x86_64.rpm
php-common-5.1.6-27.el5_7.5.x86_64.rpm
php-dba-5.1.6-27.el5_7.5.x86_64.rpm
php-debuginfo-5.1.6-27.el5_7.5.x86_64.rpm
php-devel-5.1.6-27.el5_7.5.x86_64.rpm
php-gd-5.1.6-27.el5_7.5.x86_64.rpm
php-imap-5.1.6-27.el5_7.5.x86_64.rpm
php-ldap-5.1.6-27.el5_7.5.x86_64.rpm
php-mbstring-5.1.6-27.el5_7.5.x86_64.rpm
php-mysql-5.1.6-27.el5_7.5.x86_64.rpm
php-ncurses-5.1.6-27.el5_7.5.x86_64.rpm
php-odbc-5.1.6-27.el5_7.5.x86_64.rpm
php-pdo-5.1.6-27.el5_7.5.x86_64.rpm
php-pgsql-5.1.6-27.el5_7.5.x86_64.rpm
php-snmp-5.1.6-27.el5_7.5.x86_64.rpm
php-soap-5.1.6-27.el5_7.5.x86_64.rpm
php-xml-5.1.6-27.el5_7.5.x86_64.rpm
php-xmlrpc-5.1.6-27.el5_7.5.x86_64.rpm

Red Hat Enterprise Linux Desktop Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/php-5.3.3-3.el6_2.6.src.rpm

i386:
php-5.3.3-3.el6_2.6.i686.rpm
php-bcmath-5.3.3-3.el6_2.6.i686.rpm
php-cli-5.3.3-3.el6_2.6.i686.rpm
php-common-5.3.3-3.el6_2.6.i686.rpm
php-dba-5.3.3-3.el6_2.6.i686.rpm
php-debuginfo-5.3.3-3.el6_2.6.i686.rpm
php-devel-5.3.3-3.el6_2.6.i686.rpm
php-embedded-5.3.3-3.el6_2.6.i686.rpm
php-enchant-5.3.3-3.el6_2.6.i686.rpm
php-gd-5.3.3-3.el6_2.6.i686.rpm
php-imap-5.3.3-3.el6_2.6.i686.rpm
php-intl-5.3.3-3.el6_2.6.i686.rpm
php-ldap-5.3.3-3.el6_2.6.i686.rpm
php-mbstring-5.3.3-3.el6_2.6.i686.rpm
php-mysql-5.3.3-3.el6_2.6.i686.rpm
php-odbc-5.3.3-3.el6_2.6.i686.rpm
php-pdo-5.3.3-3.el6_2.6.i686.rpm
php-pgsql-5.3.3-3.el6_2.6.i686.rpm
php-process-5.3.3-3.el6_2.6.i686.rpm
php-pspell-5.3.3-3.el6_2.6.i686.rpm
php-recode-5.3.3-3.el6_2.6.i686.rpm
php-snmp-5.3.3-3.el6_2.6.i686.rpm
php-soap-5.3.3-3.el6_2.6.i686.rpm
php-tidy-5.3.3-3.el6_2.6.i686.rpm
php-xml-5.3.3-3.el6_2.6.i686.rpm
php-xmlrpc-5.3.3-3.el6_2.6.i686.rpm
php-zts-5.3.3-3.el6_2.6.i686.rpm

x86_64:
php-5.3.3-3.el6_2.6.x86_64.rpm
php-bcmath-5.3.3-3.el6_2.6.x86_64.rpm
php-cli-5.3.3-3.el6_2.6.x86_64.rpm
php-common-5.3.3-3.el6_2.6.x86_64.rpm
php-dba-5.3.3-3.el6_2.6.x86_64.rpm
php-debuginfo-5.3.3-3.el6_2.6.x86_64.rpm
php-devel-5.3.3-3.el6_2.6.x86_64.rpm
php-embedded-5.3.3-3.el6_2.6.x86_64.rpm
php-enchant-5.3.3-3.el6_2.6.x86_64.rpm
php-gd-5.3.3-3.el6_2.6.x86_64.rpm
php-imap-5.3.3-3.el6_2.6.x86_64.rpm
php-intl-5.3.3-3.el6_2.6.x86_64.rpm
php-ldap-5.3.3-3.el6_2.6.x86_64.rpm
php-mbstring-5.3.3-3.el6_2.6.x86_64.rpm
php-mysql-5.3.3-3.el6_2.6.x86_64.rpm
php-odbc-5.3.3-3.el6_2.6.x86_64.rpm
php-pdo-5.3.3-3.el6_2.6.x86_64.rpm
php-pgsql-5.3.3-3.el6_2.6.x86_64.rpm
php-process-5.3.3-3.el6_2.6.x86_64.rpm
php-pspell-5.3.3-3.el6_2.6.x86_64.rpm
php-recode-5.3.3-3.el6_2.6.x86_64.rpm
php-snmp-5.3.3-3.el6_2.6.x86_64.rpm
php-soap-5.3.3-3.el6_2.6.x86_64.rpm
php-tidy-5.3.3-3.el6_2.6.x86_64.rpm
php-xml-5.3.3-3.el6_2.6.x86_64.rpm
php-xmlrpc-5.3.3-3.el6_2.6.x86_64.rpm
php-zts-5.3.3-3.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux HPC Node (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/php-5.3.3-3.el6_2.6.src.rpm

x86_64:
php-cli-5.3.3-3.el6_2.6.x86_64.rpm
php-common-5.3.3-3.el6_2.6.x86_64.rpm
php-debuginfo-5.3.3-3.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux HPC Node Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/php-5.3.3-3.el6_2.6.src.rpm

x86_64:
php-5.3.3-3.el6_2.6.x86_64.rpm
php-bcmath-5.3.3-3.el6_2.6.x86_64.rpm
php-dba-5.3.3-3.el6_2.6.x86_64.rpm
php-debuginfo-5.3.3-3.el6_2.6.x86_64.rpm
php-devel-5.3.3-3.el6_2.6.x86_64.rpm
php-embedded-5.3.3-3.el6_2.6.x86_64.rpm
php-enchant-5.3.3-3.el6_2.6.x86_64.rpm
php-gd-5.3.3-3.el6_2.6.x86_64.rpm
php-imap-5.3.3-3.el6_2.6.x86_64.rpm
php-intl-5.3.3-3.el6_2.6.x86_64.rpm
php-ldap-5.3.3-3.el6_2.6.x86_64.rpm
php-mbstring-5.3.3-3.el6_2.6.x86_64.rpm
php-mysql-5.3.3-3.el6_2.6.x86_64.rpm
php-odbc-5.3.3-3.el6_2.6.x86_64.rpm
php-pdo-5.3.3-3.el6_2.6.x86_64.rpm
php-pgsql-5.3.3-3.el6_2.6.x86_64.rpm
php-process-5.3.3-3.el6_2.6.x86_64.rpm
php-pspell-5.3.3-3.el6_2.6.x86_64.rpm
php-recode-5.3.3-3.el6_2.6.x86_64.rpm
php-snmp-5.3.3-3.el6_2.6.x86_64.rpm
php-soap-5.3.3-3.el6_2.6.x86_64.rpm
php-tidy-5.3.3-3.el6_2.6.x86_64.rpm
php-xml-5.3.3-3.el6_2.6.x86_64.rpm
php-xmlrpc-5.3.3-3.el6_2.6.x86_64.rpm
php-zts-5.3.3-3.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Server (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/php-5.3.3-3.el6_2.6.src.rpm

i386:
php-5.3.3-3.el6_2.6.i686.rpm
php-cli-5.3.3-3.el6_2.6.i686.rpm
php-common-5.3.3-3.el6_2.6.i686.rpm
php-debuginfo-5.3.3-3.el6_2.6.i686.rpm
php-gd-5.3.3-3.el6_2.6.i686.rpm
php-ldap-5.3.3-3.el6_2.6.i686.rpm
php-mysql-5.3.3-3.el6_2.6.i686.rpm
php-odbc-5.3.3-3.el6_2.6.i686.rpm
php-pdo-5.3.3-3.el6_2.6.i686.rpm
php-pgsql-5.3.3-3.el6_2.6.i686.rpm
php-soap-5.3.3-3.el6_2.6.i686.rpm
php-xml-5.3.3-3.el6_2.6.i686.rpm
php-xmlrpc-5.3.3-3.el6_2.6.i686.rpm

ppc64:
php-5.3.3-3.el6_2.6.ppc64.rpm
php-cli-5.3.3-3.el6_2.6.ppc64.rpm
php-common-5.3.3-3.el6_2.6.ppc64.rpm
php-debuginfo-5.3.3-3.el6_2.6.ppc64.rpm
php-gd-5.3.3-3.el6_2.6.ppc64.rpm
php-ldap-5.3.3-3.el6_2.6.ppc64.rpm
php-mysql-5.3.3-3.el6_2.6.ppc64.rpm
php-odbc-5.3.3-3.el6_2.6.ppc64.rpm
php-pdo-5.3.3-3.el6_2.6.ppc64.rpm
php-pgsql-5.3.3-3.el6_2.6.ppc64.rpm
php-soap-5.3.3-3.el6_2.6.ppc64.rpm
php-xml-5.3.3-3.el6_2.6.ppc64.rpm
php-xmlrpc-5.3.3-3.el6_2.6.ppc64.rpm

s390x:
php-5.3.3-3.el6_2.6.s390x.rpm
php-cli-5.3.3-3.el6_2.6.s390x.rpm
php-common-5.3.3-3.el6_2.6.s390x.rpm
php-debuginfo-5.3.3-3.el6_2.6.s390x.rpm
php-gd-5.3.3-3.el6_2.6.s390x.rpm
php-ldap-5.3.3-3.el6_2.6.s390x.rpm
php-mysql-5.3.3-3.el6_2.6.s390x.rpm
php-odbc-5.3.3-3.el6_2.6.s390x.rpm
php-pdo-5.3.3-3.el6_2.6.s390x.rpm
php-pgsql-5.3.3-3.el6_2.6.s390x.rpm
php-soap-5.3.3-3.el6_2.6.s390x.rpm
php-xml-5.3.3-3.el6_2.6.s390x.rpm
php-xmlrpc-5.3.3-3.el6_2.6.s390x.rpm

x86_64:
php-5.3.3-3.el6_2.6.x86_64.rpm
php-cli-5.3.3-3.el6_2.6.x86_64.rpm
php-common-5.3.3-3.el6_2.6.x86_64.rpm
php-debuginfo-5.3.3-3.el6_2.6.x86_64.rpm
php-gd-5.3.3-3.el6_2.6.x86_64.rpm
php-ldap-5.3.3-3.el6_2.6.x86_64.rpm
php-mysql-5.3.3-3.el6_2.6.x86_64.rpm
php-odbc-5.3.3-3.el6_2.6.x86_64.rpm
php-pdo-5.3.3-3.el6_2.6.x86_64.rpm
php-pgsql-5.3.3-3.el6_2.6.x86_64.rpm
php-soap-5.3.3-3.el6_2.6.x86_64.rpm
php-xml-5.3.3-3.el6_2.6.x86_64.rpm
php-xmlrpc-5.3.3-3.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/php-5.3.3-3.el6_2.6.src.rpm

i386:
php-bcmath-5.3.3-3.el6_2.6.i686.rpm
php-dba-5.3.3-3.el6_2.6.i686.rpm
php-debuginfo-5.3.3-3.el6_2.6.i686.rpm
php-devel-5.3.3-3.el6_2.6.i686.rpm
php-embedded-5.3.3-3.el6_2.6.i686.rpm
php-enchant-5.3.3-3.el6_2.6.i686.rpm
php-imap-5.3.3-3.el6_2.6.i686.rpm
php-intl-5.3.3-3.el6_2.6.i686.rpm
php-mbstring-5.3.3-3.el6_2.6.i686.rpm
php-process-5.3.3-3.el6_2.6.i686.rpm
php-pspell-5.3.3-3.el6_2.6.i686.rpm
php-recode-5.3.3-3.el6_2.6.i686.rpm
php-snmp-5.3.3-3.el6_2.6.i686.rpm
php-tidy-5.3.3-3.el6_2.6.i686.rpm
php-zts-5.3.3-3.el6_2.6.i686.rpm

ppc64:
php-bcmath-5.3.3-3.el6_2.6.ppc64.rpm
php-dba-5.3.3-3.el6_2.6.ppc64.rpm
php-debuginfo-5.3.3-3.el6_2.6.ppc64.rpm
php-devel-5.3.3-3.el6_2.6.ppc64.rpm
php-embedded-5.3.3-3.el6_2.6.ppc64.rpm
php-enchant-5.3.3-3.el6_2.6.ppc64.rpm
php-imap-5.3.3-3.el6_2.6.ppc64.rpm
php-intl-5.3.3-3.el6_2.6.ppc64.rpm
php-mbstring-5.3.3-3.el6_2.6.ppc64.rpm
php-process-5.3.3-3.el6_2.6.ppc64.rpm
php-pspell-5.3.3-3.el6_2.6.ppc64.rpm
php-recode-5.3.3-3.el6_2.6.ppc64.rpm
php-snmp-5.3.3-3.el6_2.6.ppc64.rpm
php-tidy-5.3.3-3.el6_2.6.ppc64.rpm
php-zts-5.3.3-3.el6_2.6.ppc64.rpm

s390x:
php-bcmath-5.3.3-3.el6_2.6.s390x.rpm
php-dba-5.3.3-3.el6_2.6.s390x.rpm
php-debuginfo-5.3.3-3.el6_2.6.s390x.rpm
php-devel-5.3.3-3.el6_2.6.s390x.rpm
php-embedded-5.3.3-3.el6_2.6.s390x.rpm
php-enchant-5.3.3-3.el6_2.6.s390x.rpm
php-imap-5.3.3-3.el6_2.6.s390x.rpm
php-intl-5.3.3-3.el6_2.6.s390x.rpm
php-mbstring-5.3.3-3.el6_2.6.s390x.rpm
php-process-5.3.3-3.el6_2.6.s390x.rpm
php-pspell-5.3.3-3.el6_2.6.s390x.rpm
php-recode-5.3.3-3.el6_2.6.s390x.rpm
php-snmp-5.3.3-3.el6_2.6.s390x.rpm
php-tidy-5.3.3-3.el6_2.6.s390x.rpm
php-zts-5.3.3-3.el6_2.6.s390x.rpm

x86_64:
php-bcmath-5.3.3-3.el6_2.6.x86_64.rpm
php-dba-5.3.3-3.el6_2.6.x86_64.rpm
php-debuginfo-5.3.3-3.el6_2.6.x86_64.rpm
php-devel-5.3.3-3.el6_2.6.x86_64.rpm
php-embedded-5.3.3-3.el6_2.6.x86_64.rpm
php-enchant-5.3.3-3.el6_2.6.x86_64.rpm
php-imap-5.3.3-3.el6_2.6.x86_64.rpm
php-intl-5.3.3-3.el6_2.6.x86_64.rpm
php-mbstring-5.3.3-3.el6_2.6.x86_64.rpm
php-process-5.3.3-3.el6_2.6.x86_64.rpm
php-pspell-5.3.3-3.el6_2.6.x86_64.rpm
php-recode-5.3.3-3.el6_2.6.x86_64.rpm
php-snmp-5.3.3-3.el6_2.6.x86_64.rpm
php-tidy-5.3.3-3.el6_2.6.x86_64.rpm
php-zts-5.3.3-3.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/php-5.3.3-3.el6_2.6.src.rpm

i386:
php-5.3.3-3.el6_2.6.i686.rpm
php-cli-5.3.3-3.el6_2.6.i686.rpm
php-common-5.3.3-3.el6_2.6.i686.rpm
php-debuginfo-5.3.3-3.el6_2.6.i686.rpm
php-gd-5.3.3-3.el6_2.6.i686.rpm
php-ldap-5.3.3-3.el6_2.6.i686.rpm
php-mysql-5.3.3-3.el6_2.6.i686.rpm
php-odbc-5.3.3-3.el6_2.6.i686.rpm
php-pdo-5.3.3-3.el6_2.6.i686.rpm
php-pgsql-5.3.3-3.el6_2.6.i686.rpm
php-soap-5.3.3-3.el6_2.6.i686.rpm
php-xml-5.3.3-3.el6_2.6.i686.rpm
php-xmlrpc-5.3.3-3.el6_2.6.i686.rpm

x86_64:
php-5.3.3-3.el6_2.6.x86_64.rpm
php-cli-5.3.3-3.el6_2.6.x86_64.rpm
php-common-5.3.3-3.el6_2.6.x86_64.rpm
php-debuginfo-5.3.3-3.el6_2.6.x86_64.rpm
php-gd-5.3.3-3.el6_2.6.x86_64.rpm
php-ldap-5.3.3-3.el6_2.6.x86_64.rpm
php-mysql-5.3.3-3.el6_2.6.x86_64.rpm
php-odbc-5.3.3-3.el6_2.6.x86_64.rpm
php-pdo-5.3.3-3.el6_2.6.x86_64.rpm
php-pgsql-5.3.3-3.el6_2.6.x86_64.rpm
php-soap-5.3.3-3.el6_2.6.x86_64.rpm
php-xml-5.3.3-3.el6_2.6.x86_64.rpm
php-xmlrpc-5.3.3-3.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/php-5.3.3-3.el6_2.6.src.rpm

i386:
php-bcmath-5.3.3-3.el6_2.6.i686.rpm
php-dba-5.3.3-3.el6_2.6.i686.rpm
php-debuginfo-5.3.3-3.el6_2.6.i686.rpm
php-devel-5.3.3-3.el6_2.6.i686.rpm
php-embedded-5.3.3-3.el6_2.6.i686.rpm
php-enchant-5.3.3-3.el6_2.6.i686.rpm
php-imap-5.3.3-3.el6_2.6.i686.rpm
php-intl-5.3.3-3.el6_2.6.i686.rpm
php-mbstring-5.3.3-3.el6_2.6.i686.rpm
php-process-5.3.3-3.el6_2.6.i686.rpm
php-pspell-5.3.3-3.el6_2.6.i686.rpm
php-recode-5.3.3-3.el6_2.6.i686.rpm
php-snmp-5.3.3-3.el6_2.6.i686.rpm
php-tidy-5.3.3-3.el6_2.6.i686.rpm
php-zts-5.3.3-3.el6_2.6.i686.rpm

x86_64:
php-bcmath-5.3.3-3.el6_2.6.x86_64.rpm
php-dba-5.3.3-3.el6_2.6.x86_64.rpm
php-debuginfo-5.3.3-3.el6_2.6.x86_64.rpm
php-devel-5.3.3-3.el6_2.6.x86_64.rpm
php-embedded-5.3.3-3.el6_2.6.x86_64.rpm
php-enchant-5.3.3-3.el6_2.6.x86_64.rpm
php-imap-5.3.3-3.el6_2.6.x86_64.rpm
php-intl-5.3.3-3.el6_2.6.x86_64.rpm
php-mbstring-5.3.3-3.el6_2.6.x86_64.rpm
php-process-5.3.3-3.el6_2.6.x86_64.rpm
php-pspell-5.3.3-3.el6_2.6.x86_64.rpm
php-recode-5.3.3-3.el6_2.6.x86_64.rpm
php-snmp-5.3.3-3.el6_2.6.x86_64.rpm
php-tidy-5.3.3-3.el6_2.6.x86_64.rpm
php-zts-5.3.3-3.el6_2.6.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2012-0830.html
https://access.redhat.com/security/updates/classification/#critical

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2012 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFPKxYUXlSAg2UNWIIRAlXCAJ4gMpt9i//hO2nAwxNZ9ZfsT+QDUwCfdmm7
2Ad/cq6i8Zf0GHIK79V4z2k=
=lOW7

[RHSA-2012:0095-01] Moderate: ghostscript security update
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: ghostscript security update
Advisory ID: RHSA-2012:0095-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2012-0095.html
Issue date: 2012-02-02
CVE Names: CVE-2009-3743 CVE-2010-2055 CVE-2010-4054
CVE-2010-4820
=====================================================================

1. Summary:

Updated ghostscript packages that fix multiple security issues are now
available for Red Hat Enterprise Linux 5 and 6.

The Red Hat Security Response Team has rated this update as having moderate
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

RHEL Desktop Workstation (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux (v. 5 server) - i386, ia64, ppc, s390x, x86_64
Red Hat Enterprise Linux Desktop (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux Desktop (v. 6) - i386, x86_64
Red Hat Enterprise Linux Desktop Optional (v. 6) - i386, x86_64
Red Hat Enterprise Linux HPC Node (v. 6) - x86_64
Red Hat Enterprise Linux HPC Node Optional (v. 6) - x86_64
Red Hat Enterprise Linux Server (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Server Optional (v. 6) - i386, ppc64, s390x, x86_64
Red Hat Enterprise Linux Workstation (v. 6) - i386, x86_64
Red Hat Enterprise Linux Workstation Optional (v. 6) - i386, x86_64

3. Description:

Ghostscript is a set of software that provides a PostScript interpreter, a
set of C procedures (the Ghostscript library, which implements the graphics
capabilities in the PostScript language) and an interpreter for Portable
Document Format (PDF) files.

An integer overflow flaw was found in Ghostscript's TrueType bytecode
interpreter. An attacker could create a specially-crafted PostScript or PDF
file that, when interpreted, could cause Ghostscript to crash or,
potentially, execute arbitrary code. (CVE-2009-3743)

It was found that Ghostscript always tried to read Ghostscript system
initialization files from the current working directory before checking
other directories, even if a search path that did not contain the current
working directory was specified with the "-I" option, or the "-P-" option
was used (to prevent the current working directory being searched first).
If a user ran Ghostscript in an attacker-controlled directory containing a
system initialization file, it could cause Ghostscript to execute arbitrary
PostScript code. (CVE-2010-2055)

Ghostscript included the current working directory in its library search
path by default. If a user ran Ghostscript without the "-P-" option in an
attacker-controlled directory containing a specially-crafted PostScript
library file, it could cause Ghostscript to execute arbitrary PostScript
code. With this update, Ghostscript no longer searches the current working
directory for library files by default. (CVE-2010-4820)

Note: The fix for CVE-2010-4820 could possibly break existing
configurations. To use the previous, vulnerable behavior, run Ghostscript
with the "-P" option (to always search the current working directory
first).

A flaw was found in the way Ghostscript interpreted PostScript Type 1 and
PostScript Type 2 font files. An attacker could create a specially-crafted
PostScript Type 1 or PostScript Type 2 font file that, when interpreted,
could cause Ghostscript to crash or, potentially, execute arbitrary code.
(CVE-2010-4054)

Users of Ghostscript are advised to upgrade to these updated packages,
which contain backported patches to correct these issues.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

599564 - CVE-2010-2055 ghostscript: gs_init.ps searched in current directory despite -P-
627902 - CVE-2009-3743 ghostscript: TrueType bytecode intepreter integer overflow or wraparound
646086 - CVE-2010-4054 ghostscript: glyph data access improper input validation
771853 - CVE-2010-4820 ghostscript: CWD included in the default library search path

6. Package List:

Red Hat Enterprise Linux Desktop (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/ghostscript-8.70-6.el5_7.6.src.rpm

i386:
ghostscript-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-gtk-8.70-6.el5_7.6.i386.rpm

x86_64:
ghostscript-8.70-6.el5_7.6.i386.rpm
ghostscript-8.70-6.el5_7.6.x86_64.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.x86_64.rpm
ghostscript-gtk-8.70-6.el5_7.6.x86_64.rpm

RHEL Desktop Workstation (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/ghostscript-8.70-6.el5_7.6.src.rpm

i386:
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-devel-8.70-6.el5_7.6.i386.rpm

x86_64:
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.x86_64.rpm
ghostscript-devel-8.70-6.el5_7.6.i386.rpm
ghostscript-devel-8.70-6.el5_7.6.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/ghostscript-8.70-6.el5_7.6.src.rpm

i386:
ghostscript-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-devel-8.70-6.el5_7.6.i386.rpm
ghostscript-gtk-8.70-6.el5_7.6.i386.rpm

ia64:
ghostscript-8.70-6.el5_7.6.ia64.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.ia64.rpm
ghostscript-devel-8.70-6.el5_7.6.ia64.rpm
ghostscript-gtk-8.70-6.el5_7.6.ia64.rpm

ppc:
ghostscript-8.70-6.el5_7.6.ppc.rpm
ghostscript-8.70-6.el5_7.6.ppc64.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.ppc.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.ppc64.rpm
ghostscript-devel-8.70-6.el5_7.6.ppc.rpm
ghostscript-devel-8.70-6.el5_7.6.ppc64.rpm
ghostscript-gtk-8.70-6.el5_7.6.ppc.rpm

s390x:
ghostscript-8.70-6.el5_7.6.s390.rpm
ghostscript-8.70-6.el5_7.6.s390x.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.s390.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.s390x.rpm
ghostscript-devel-8.70-6.el5_7.6.s390.rpm
ghostscript-devel-8.70-6.el5_7.6.s390x.rpm
ghostscript-gtk-8.70-6.el5_7.6.s390x.rpm

x86_64:
ghostscript-8.70-6.el5_7.6.i386.rpm
ghostscript-8.70-6.el5_7.6.x86_64.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.i386.rpm
ghostscript-debuginfo-8.70-6.el5_7.6.x86_64.rpm
ghostscript-devel-8.70-6.el5_7.6.i386.rpm
ghostscript-devel-8.70-6.el5_7.6.x86_64.rpm
ghostscript-gtk-8.70-6.el5_7.6.x86_64.rpm

Red Hat Enterprise Linux Desktop (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm

x86_64:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-8.70-11.el6_2.6.x86_64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Desktop Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Client/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-doc-8.70-11.el6_2.6.i686.rpm
ghostscript-gtk-8.70-11.el6_2.6.i686.rpm

x86_64:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.x86_64.rpm
ghostscript-doc-8.70-11.el6_2.6.x86_64.rpm
ghostscript-gtk-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux HPC Node (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

x86_64:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-8.70-11.el6_2.6.x86_64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux HPC Node Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6ComputeNode/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

x86_64:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.x86_64.rpm
ghostscript-doc-8.70-11.el6_2.6.x86_64.rpm
ghostscript-gtk-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Server (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm

ppc64:
ghostscript-8.70-11.el6_2.6.ppc.rpm
ghostscript-8.70-11.el6_2.6.ppc64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.ppc.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.ppc64.rpm

s390x:
ghostscript-8.70-11.el6_2.6.s390.rpm
ghostscript-8.70-11.el6_2.6.s390x.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.s390.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.s390x.rpm

x86_64:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-8.70-11.el6_2.6.x86_64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Server Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-doc-8.70-11.el6_2.6.i686.rpm
ghostscript-gtk-8.70-11.el6_2.6.i686.rpm

ppc64:
ghostscript-debuginfo-8.70-11.el6_2.6.ppc.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.ppc64.rpm
ghostscript-devel-8.70-11.el6_2.6.ppc.rpm
ghostscript-devel-8.70-11.el6_2.6.ppc64.rpm
ghostscript-doc-8.70-11.el6_2.6.ppc64.rpm
ghostscript-gtk-8.70-11.el6_2.6.ppc64.rpm

s390x:
ghostscript-debuginfo-8.70-11.el6_2.6.s390.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.s390x.rpm
ghostscript-devel-8.70-11.el6_2.6.s390.rpm
ghostscript-devel-8.70-11.el6_2.6.s390x.rpm
ghostscript-doc-8.70-11.el6_2.6.s390x.rpm
ghostscript-gtk-8.70-11.el6_2.6.s390x.rpm

x86_64:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.x86_64.rpm
ghostscript-doc-8.70-11.el6_2.6.x86_64.rpm
ghostscript-gtk-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Workstation (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm

x86_64:
ghostscript-8.70-11.el6_2.6.i686.rpm
ghostscript-8.70-11.el6_2.6.x86_64.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm

Red Hat Enterprise Linux Workstation Optional (v. 6):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/6Workstation/en/os/SRPMS/ghostscript-8.70-11.el6_2.6.src.rpm

i386:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-doc-8.70-11.el6_2.6.i686.rpm
ghostscript-gtk-8.70-11.el6_2.6.i686.rpm

x86_64:
ghostscript-debuginfo-8.70-11.el6_2.6.i686.rpm
ghostscript-debuginfo-8.70-11.el6_2.6.x86_64.rpm
ghostscript-devel-8.70-11.el6_2.6.i686.rpm
ghostscript-devel-8.70-11.el6_2.6.x86_64.rpm
ghostscript-doc-8.70-11.el6_2.6.x86_64.rpm
ghostscript-gtk-8.70-11.el6_2.6.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2009-3743.html
https://www.redhat.com/security/data/cve/CVE-2010-2055.html
https://www.redhat.com/security/data/cve/CVE-2010-4054.html
https://www.redhat.com/security/data/cve/CVE-2010-4820.html
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2012 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD4DBQFPKxQeXlSAg2UNWIIRArqLAJYndAdU+gEQ5Ki//vi/wh7KgAtYAJ9NwToi
Ov6GX/QA+l4EOfr9Yj/1Qg==
=6sZd
-----END PGP SIGNATURE-----

[RHSA-2012:0092-01] Critical: php53 security update
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Critical: php53 security update
Advisory ID: RHSA-2012:0092-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2012-0092.html
Issue date: 2012-02-02
CVE Names: CVE-2012-0830
=====================================================================

1. Summary:

Updated php53 packages that fix one security issue are now available for
Red Hat Enterprise Linux 5.

The Red Hat Security Response Team has rated this update as having critical
security impact. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available from the CVE link in
the References section.

2. Relevant releases/architectures:

RHEL Desktop Workstation (v. 5 client) - i386, x86_64
Red Hat Enterprise Linux (v. 5 server) - i386, ia64, ppc, s390x, x86_64

3. Description:

PHP is an HTML-embedded scripting language commonly used with the Apache
HTTP Server.

It was discovered that the fix for CVE-2011-4885 (released via
RHSA-2012:0019 for php53 packages in Red Hat Enterprise Linux 5) introduced
an uninitialized memory use flaw. A remote attacker could send a specially-
crafted HTTP request to cause the PHP interpreter to crash or, possibly,
execute arbitrary code. (CVE-2012-0830)

All php53 users should upgrade to these updated packages, which contain a
backported patch to resolve this issue. After installing the updated
packages, the httpd daemon must be restarted for the update to take effect.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

786686 - CVE-2012-0830 php: remote code exec flaw introduced in the CVE-2011-4885 hashdos fix

6. Package List:

RHEL Desktop Workstation (v. 5 client):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Client/en/os/SRPMS/php53-5.3.3-1.el5_7.6.src.rpm

i386:
php53-5.3.3-1.el5_7.6.i386.rpm
php53-bcmath-5.3.3-1.el5_7.6.i386.rpm
php53-cli-5.3.3-1.el5_7.6.i386.rpm
php53-common-5.3.3-1.el5_7.6.i386.rpm
php53-dba-5.3.3-1.el5_7.6.i386.rpm
php53-debuginfo-5.3.3-1.el5_7.6.i386.rpm
php53-devel-5.3.3-1.el5_7.6.i386.rpm
php53-gd-5.3.3-1.el5_7.6.i386.rpm
php53-imap-5.3.3-1.el5_7.6.i386.rpm
php53-intl-5.3.3-1.el5_7.6.i386.rpm
php53-ldap-5.3.3-1.el5_7.6.i386.rpm
php53-mbstring-5.3.3-1.el5_7.6.i386.rpm
php53-mysql-5.3.3-1.el5_7.6.i386.rpm
php53-odbc-5.3.3-1.el5_7.6.i386.rpm
php53-pdo-5.3.3-1.el5_7.6.i386.rpm
php53-pgsql-5.3.3-1.el5_7.6.i386.rpm
php53-process-5.3.3-1.el5_7.6.i386.rpm
php53-pspell-5.3.3-1.el5_7.6.i386.rpm
php53-snmp-5.3.3-1.el5_7.6.i386.rpm
php53-soap-5.3.3-1.el5_7.6.i386.rpm
php53-xml-5.3.3-1.el5_7.6.i386.rpm
php53-xmlrpc-5.3.3-1.el5_7.6.i386.rpm

x86_64:
php53-5.3.3-1.el5_7.6.x86_64.rpm
php53-bcmath-5.3.3-1.el5_7.6.x86_64.rpm
php53-cli-5.3.3-1.el5_7.6.x86_64.rpm
php53-common-5.3.3-1.el5_7.6.x86_64.rpm
php53-dba-5.3.3-1.el5_7.6.x86_64.rpm
php53-debuginfo-5.3.3-1.el5_7.6.x86_64.rpm
php53-devel-5.3.3-1.el5_7.6.x86_64.rpm
php53-gd-5.3.3-1.el5_7.6.x86_64.rpm
php53-imap-5.3.3-1.el5_7.6.x86_64.rpm
php53-intl-5.3.3-1.el5_7.6.x86_64.rpm
php53-ldap-5.3.3-1.el5_7.6.x86_64.rpm
php53-mbstring-5.3.3-1.el5_7.6.x86_64.rpm
php53-mysql-5.3.3-1.el5_7.6.x86_64.rpm
php53-odbc-5.3.3-1.el5_7.6.x86_64.rpm
php53-pdo-5.3.3-1.el5_7.6.x86_64.rpm
php53-pgsql-5.3.3-1.el5_7.6.x86_64.rpm
php53-process-5.3.3-1.el5_7.6.x86_64.rpm
php53-pspell-5.3.3-1.el5_7.6.x86_64.rpm
php53-snmp-5.3.3-1.el5_7.6.x86_64.rpm
php53-soap-5.3.3-1.el5_7.6.x86_64.rpm
php53-xml-5.3.3-1.el5_7.6.x86_64.rpm
php53-xmlrpc-5.3.3-1.el5_7.6.x86_64.rpm

Red Hat Enterprise Linux (v. 5 server):

Source:
ftp://ftp.redhat.com/pub/redhat/linux/enterprise/5Server/en/os/SRPMS/php53-5.3.3-1.el5_7.6.src.rpm

i386:
php53-5.3.3-1.el5_7.6.i386.rpm
php53-bcmath-5.3.3-1.el5_7.6.i386.rpm
php53-cli-5.3.3-1.el5_7.6.i386.rpm
php53-common-5.3.3-1.el5_7.6.i386.rpm
php53-dba-5.3.3-1.el5_7.6.i386.rpm
php53-debuginfo-5.3.3-1.el5_7.6.i386.rpm
php53-devel-5.3.3-1.el5_7.6.i386.rpm
php53-gd-5.3.3-1.el5_7.6.i386.rpm
php53-imap-5.3.3-1.el5_7.6.i386.rpm
php53-intl-5.3.3-1.el5_7.6.i386.rpm
php53-ldap-5.3.3-1.el5_7.6.i386.rpm
php53-mbstring-5.3.3-1.el5_7.6.i386.rpm
php53-mysql-5.3.3-1.el5_7.6.i386.rpm
php53-odbc-5.3.3-1.el5_7.6.i386.rpm
php53-pdo-5.3.3-1.el5_7.6.i386.rpm
php53-pgsql-5.3.3-1.el5_7.6.i386.rpm
php53-process-5.3.3-1.el5_7.6.i386.rpm
php53-pspell-5.3.3-1.el5_7.6.i386.rpm
php53-snmp-5.3.3-1.el5_7.6.i386.rpm
php53-soap-5.3.3-1.el5_7.6.i386.rpm
php53-xml-5.3.3-1.el5_7.6.i386.rpm
php53-xmlrpc-5.3.3-1.el5_7.6.i386.rpm

ia64:
php53-5.3.3-1.el5_7.6.ia64.rpm
php53-bcmath-5.3.3-1.el5_7.6.ia64.rpm
php53-cli-5.3.3-1.el5_7.6.ia64.rpm
php53-common-5.3.3-1.el5_7.6.ia64.rpm
php53-dba-5.3.3-1.el5_7.6.ia64.rpm
php53-debuginfo-5.3.3-1.el5_7.6.ia64.rpm
php53-devel-5.3.3-1.el5_7.6.ia64.rpm
php53-gd-5.3.3-1.el5_7.6.ia64.rpm
php53-imap-5.3.3-1.el5_7.6.ia64.rpm
php53-intl-5.3.3-1.el5_7.6.ia64.rpm
php53-ldap-5.3.3-1.el5_7.6.ia64.rpm
php53-mbstring-5.3.3-1.el5_7.6.ia64.rpm
php53-mysql-5.3.3-1.el5_7.6.ia64.rpm
php53-odbc-5.3.3-1.el5_7.6.ia64.rpm
php53-pdo-5.3.3-1.el5_7.6.ia64.rpm
php53-pgsql-5.3.3-1.el5_7.6.ia64.rpm
php53-process-5.3.3-1.el5_7.6.ia64.rpm
php53-pspell-5.3.3-1.el5_7.6.ia64.rpm
php53-snmp-5.3.3-1.el5_7.6.ia64.rpm
php53-soap-5.3.3-1.el5_7.6.ia64.rpm
php53-xml-5.3.3-1.el5_7.6.ia64.rpm
php53-xmlrpc-5.3.3-1.el5_7.6.ia64.rpm

ppc:
php53-5.3.3-1.el5_7.6.ppc.rpm
php53-bcmath-5.3.3-1.el5_7.6.ppc.rpm
php53-cli-5.3.3-1.el5_7.6.ppc.rpm
php53-common-5.3.3-1.el5_7.6.ppc.rpm
php53-dba-5.3.3-1.el5_7.6.ppc.rpm
php53-debuginfo-5.3.3-1.el5_7.6.ppc.rpm
php53-devel-5.3.3-1.el5_7.6.ppc.rpm
php53-gd-5.3.3-1.el5_7.6.ppc.rpm
php53-imap-5.3.3-1.el5_7.6.ppc.rpm
php53-intl-5.3.3-1.el5_7.6.ppc.rpm
php53-ldap-5.3.3-1.el5_7.6.ppc.rpm
php53-mbstring-5.3.3-1.el5_7.6.ppc.rpm
php53-mysql-5.3.3-1.el5_7.6.ppc.rpm
php53-odbc-5.3.3-1.el5_7.6.ppc.rpm
php53-pdo-5.3.3-1.el5_7.6.ppc.rpm
php53-pgsql-5.3.3-1.el5_7.6.ppc.rpm
php53-process-5.3.3-1.el5_7.6.ppc.rpm
php53-pspell-5.3.3-1.el5_7.6.ppc.rpm
php53-snmp-5.3.3-1.el5_7.6.ppc.rpm
php53-soap-5.3.3-1.el5_7.6.ppc.rpm
php53-xml-5.3.3-1.el5_7.6.ppc.rpm
php53-xmlrpc-5.3.3-1.el5_7.6.ppc.rpm

s390x:
php53-5.3.3-1.el5_7.6.s390x.rpm
php53-bcmath-5.3.3-1.el5_7.6.s390x.rpm
php53-cli-5.3.3-1.el5_7.6.s390x.rpm
php53-common-5.3.3-1.el5_7.6.s390x.rpm
php53-dba-5.3.3-1.el5_7.6.s390x.rpm
php53-debuginfo-5.3.3-1.el5_7.6.s390x.rpm
php53-devel-5.3.3-1.el5_7.6.s390x.rpm
php53-gd-5.3.3-1.el5_7.6.s390x.rpm
php53-imap-5.3.3-1.el5_7.6.s390x.rpm
php53-intl-5.3.3-1.el5_7.6.s390x.rpm
php53-ldap-5.3.3-1.el5_7.6.s390x.rpm
php53-mbstring-5.3.3-1.el5_7.6.s390x.rpm
php53-mysql-5.3.3-1.el5_7.6.s390x.rpm
php53-odbc-5.3.3-1.el5_7.6.s390x.rpm
php53-pdo-5.3.3-1.el5_7.6.s390x.rpm
php53-pgsql-5.3.3-1.el5_7.6.s390x.rpm
php53-process-5.3.3-1.el5_7.6.s390x.rpm
php53-pspell-5.3.3-1.el5_7.6.s390x.rpm
php53-snmp-5.3.3-1.el5_7.6.s390x.rpm
php53-soap-5.3.3-1.el5_7.6.s390x.rpm
php53-xml-5.3.3-1.el5_7.6.s390x.rpm
php53-xmlrpc-5.3.3-1.el5_7.6.s390x.rpm

x86_64:
php53-5.3.3-1.el5_7.6.x86_64.rpm
php53-bcmath-5.3.3-1.el5_7.6.x86_64.rpm
php53-cli-5.3.3-1.el5_7.6.x86_64.rpm
php53-common-5.3.3-1.el5_7.6.x86_64.rpm
php53-dba-5.3.3-1.el5_7.6.x86_64.rpm
php53-debuginfo-5.3.3-1.el5_7.6.x86_64.rpm
php53-devel-5.3.3-1.el5_7.6.x86_64.rpm
php53-gd-5.3.3-1.el5_7.6.x86_64.rpm
php53-imap-5.3.3-1.el5_7.6.x86_64.rpm
php53-intl-5.3.3-1.el5_7.6.x86_64.rpm
php53-ldap-5.3.3-1.el5_7.6.x86_64.rpm
php53-mbstring-5.3.3-1.el5_7.6.x86_64.rpm
php53-mysql-5.3.3-1.el5_7.6.x86_64.rpm
php53-odbc-5.3.3-1.el5_7.6.x86_64.rpm
php53-pdo-5.3.3-1.el5_7.6.x86_64.rpm
php53-pgsql-5.3.3-1.el5_7.6.x86_64.rpm
php53-process-5.3.3-1.el5_7.6.x86_64.rpm
php53-pspell-5.3.3-1.el5_7.6.x86_64.rpm
php53-snmp-5.3.3-1.el5_7.6.x86_64.rpm
php53-soap-5.3.3-1.el5_7.6.x86_64.rpm
php53-xml-5.3.3-1.el5_7.6.x86_64.rpm
php53-xmlrpc-5.3.3-1.el5_7.6.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2012-0830.html
https://access.redhat.com/security/updates/classification/#critical

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2012 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFPKxPZXlSAg2UNWIIRAndsAJ4uqB2rZOLnQSgwRGqU2/AU3knpBQCgxTT4
z+boK1XW2LM6avGF4IAJ6ak=
=suBA
-----END PGP SIGNATURE-----

[RHSA-2012:0094-01] Important: freetype security update
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Important: freetype security update
Advisory ID: RHSA-2012:0094-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2012-0094.html
Issue date: 2012-02-02
CVE Names: CVE-2011-3256 CVE-2011-3439
=====================================================================

1. Summary:

Updated freetype packages that fix multiple security issues are now
available for Red Hat Enterprise Linux 5.6 Extended Update Support.

The Red Hat Security Response Team has rated this update as having
important security impact. Common Vulnerability Scoring System (CVSS)
base scores, which give detailed severity ratings, are available for each
vulnerability from the CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux EUS (v. 5.6 server) - i386, ia64, ppc, s390x, x86_64

3. Description:

FreeType is a free, high-quality, portable font engine that can open and
manage font files. It also loads, hints, and renders individual glyphs
efficiently.

Multiple input validation flaws were found in the way FreeType processed
bitmap font files. If a specially-crafted font file was loaded by an
application linked against FreeType, it could cause the application to
crash or, potentially, execute arbitrary code with the privileges of the
user running the application. (CVE-2011-3256)

Multiple input validation flaws were found in the way FreeType processed
CID-keyed fonts. If a specially-crafted font file was loaded by an
application linked against FreeType, it could cause the application to
crash or, potentially, execute arbitrary code with the privileges of the
user running the application. (CVE-2011-3439)

Users are advised to upgrade to these updated packages, which contain
backported patches to correct these issues. The X server must be restarted
(log out, then log back in) for this update to take effect.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

746226 - CVE-2011-3256 FreeType FT_Bitmap_New integer overflow to buffer overflow, FreeType TT_Vary_Get_Glyph_Deltas improper input validation
753799 - CVE-2011-3439 freetype: Multiple security flaws when loading CID-keyed Type 1 fonts

6. Package List:

Red Hat Enterprise Linux EUS (v. 5.6 server):

Source:
freetype-2.2.1-28.el5_6.1.src.rpm

i386:
freetype-2.2.1-28.el5_6.1.i386.rpm
freetype-debuginfo-2.2.1-28.el5_6.1.i386.rpm
freetype-demos-2.2.1-28.el5_6.1.i386.rpm
freetype-devel-2.2.1-28.el5_6.1.i386.rpm

ia64:
freetype-2.2.1-28.el5_6.1.i386.rpm
freetype-2.2.1-28.el5_6.1.ia64.rpm
freetype-debuginfo-2.2.1-28.el5_6.1.i386.rpm
freetype-debuginfo-2.2.1-28.el5_6.1.ia64.rpm
freetype-demos-2.2.1-28.el5_6.1.ia64.rpm
freetype-devel-2.2.1-28.el5_6.1.ia64.rpm

ppc:
freetype-2.2.1-28.el5_6.1.ppc.rpm
freetype-2.2.1-28.el5_6.1.ppc64.rpm
freetype-debuginfo-2.2.1-28.el5_6.1.ppc.rpm
freetype-debuginfo-2.2.1-28.el5_6.1.ppc64.rpm
freetype-demos-2.2.1-28.el5_6.1.ppc.rpm
freetype-devel-2.2.1-28.el5_6.1.ppc.rpm
freetype-devel-2.2.1-28.el5_6.1.ppc64.rpm

s390x:
freetype-2.2.1-28.el5_6.1.s390.rpm
freetype-2.2.1-28.el5_6.1.s390x.rpm
freetype-debuginfo-2.2.1-28.el5_6.1.s390.rpm
freetype-debuginfo-2.2.1-28.el5_6.1.s390x.rpm
freetype-demos-2.2.1-28.el5_6.1.s390x.rpm
freetype-devel-2.2.1-28.el5_6.1.s390.rpm
freetype-devel-2.2.1-28.el5_6.1.s390x.rpm

x86_64:
freetype-2.2.1-28.el5_6.1.i386.rpm
freetype-2.2.1-28.el5_6.1.x86_64.rpm
freetype-debuginfo-2.2.1-28.el5_6.1.i386.rpm
freetype-debuginfo-2.2.1-28.el5_6.1.x86_64.rpm
freetype-demos-2.2.1-28.el5_6.1.x86_64.rpm
freetype-devel-2.2.1-28.el5_6.1.i386.rpm
freetype-devel-2.2.1-28.el5_6.1.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2011-3256.html
https://www.redhat.com/security/data/cve/CVE-2011-3439.html
https://access.redhat.com/security/updates/classification/#important

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2012 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFPKxP2XlSAg2UNWIIRAjurAJwKoNnO3kO/eCYy/Ik2qr5FFglEwgCfeGfz
wuUKAtusuteQw1anUlEZSTI=
=Z2Z4
-----END PGP SIGNATURE-----

[RHSA-2012:0096-01] Moderate: ghostscript security update
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

=====================================================================
Red Hat Security Advisory

Synopsis: Moderate: ghostscript security update
Advisory ID: RHSA-2012:0096-01
Product: Red Hat Enterprise Linux
Advisory URL: https://rhn.redhat.com/errata/RHSA-2012-0096.html
Issue date: 2012-02-02
CVE Names: CVE-2010-4054 CVE-2010-4820
=====================================================================

1. Summary:

Updated ghostscript packages that fix two security issues are now available
for Red Hat Enterprise Linux 4.

The Red Hat Security Response Team has rated this update as having moderate
security impact. Common Vulnerability Scoring System (CVSS) base scores,
which give detailed severity ratings, are available for each vulnerability
from the CVE links in the References section.

2. Relevant releases/architectures:

Red Hat Enterprise Linux AS version 4 - i386, ia64, ppc, s390, s390x, x86_64
Red Hat Enterprise Linux Desktop version 4 - i386, x86_64
Red Hat Enterprise Linux ES version 4 - i386, ia64, x86_64
Red Hat Enterprise Linux WS version 4 - i386, ia64, x86_64

3. Description:

Ghostscript is a set of software that provides a PostScript interpreter, a
set of C procedures (the Ghostscript library, which implements the graphics
capabilities in the PostScript language) and an interpreter for Portable
Document Format (PDF) files.

Ghostscript included the current working directory in its library search
path by default. If a user ran Ghostscript without the "-P-" option in an
attacker-controlled directory containing a specially-crafted PostScript
library file, it could cause Ghostscript to execute arbitrary PostScript
code. With this update, Ghostscript no longer searches the current working
directory for library files by default. (CVE-2010-4820)

Note: The fix for CVE-2010-4820 could possibly break existing
configurations. To use the previous, vulnerable behavior, run Ghostscript
with the "-P" option (to always search the current working directory
first).

A flaw was found in the way Ghostscript interpreted PostScript Type 1 and
PostScript Type 2 font files. An attacker could create a specially-crafted
PostScript Type 1 or PostScript Type 2 font file that, when interpreted,
could cause Ghostscript to crash or, potentially, execute arbitrary code.
(CVE-2010-4054)

Users of Ghostscript are advised to upgrade to these updated packages,
which contain backported patches to correct these issues.

4. Solution:

Before applying this update, make sure all previously-released errata
relevant to your system have been applied.

This update is available via the Red Hat Network. Details on how to
use the Red Hat Network to apply this update are available at
https://access.redhat.com/kb/docs/DOC-11259

5. Bugs fixed (http://bugzilla.redhat.com/):

646086 - CVE-2010-4054 ghostscript: glyph data access improper input validation
771853 - CVE-2010-4820 ghostscript: CWD included in the default library search path

6. Package List:

Red Hat Enterprise Linux AS version 4:

Source:
ftp://updates.redhat.com/enterprise/4AS/en/os/SRPMS/ghostscript-7.07-33.13.el4.src.rpm

i386:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-devel-7.07-33.13.el4.i386.rpm
ghostscript-gtk-7.07-33.13.el4.i386.rpm

ia64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.ia64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.ia64.rpm
ghostscript-devel-7.07-33.13.el4.ia64.rpm
ghostscript-gtk-7.07-33.13.el4.ia64.rpm

ppc:
ghostscript-7.07-33.13.el4.ppc.rpm
ghostscript-7.07-33.13.el4.ppc64.rpm
ghostscript-debuginfo-7.07-33.13.el4.ppc.rpm
ghostscript-debuginfo-7.07-33.13.el4.ppc64.rpm
ghostscript-devel-7.07-33.13.el4.ppc.rpm
ghostscript-gtk-7.07-33.13.el4.ppc.rpm

s390:
ghostscript-7.07-33.13.el4.s390.rpm
ghostscript-debuginfo-7.07-33.13.el4.s390.rpm
ghostscript-devel-7.07-33.13.el4.s390.rpm
ghostscript-gtk-7.07-33.13.el4.s390.rpm

s390x:
ghostscript-7.07-33.13.el4.s390.rpm
ghostscript-7.07-33.13.el4.s390x.rpm
ghostscript-debuginfo-7.07-33.13.el4.s390.rpm
ghostscript-debuginfo-7.07-33.13.el4.s390x.rpm
ghostscript-devel-7.07-33.13.el4.s390x.rpm
ghostscript-gtk-7.07-33.13.el4.s390x.rpm

x86_64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.x86_64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.x86_64.rpm
ghostscript-devel-7.07-33.13.el4.x86_64.rpm
ghostscript-gtk-7.07-33.13.el4.x86_64.rpm

Red Hat Enterprise Linux Desktop version 4:

Source:
ftp://updates.redhat.com/enterprise/4Desktop/en/os/SRPMS/ghostscript-7.07-33.13.el4.src.rpm

i386:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-devel-7.07-33.13.el4.i386.rpm
ghostscript-gtk-7.07-33.13.el4.i386.rpm

x86_64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.x86_64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.x86_64.rpm
ghostscript-devel-7.07-33.13.el4.x86_64.rpm
ghostscript-gtk-7.07-33.13.el4.x86_64.rpm

Red Hat Enterprise Linux ES version 4:

Source:
ftp://updates.redhat.com/enterprise/4ES/en/os/SRPMS/ghostscript-7.07-33.13.el4.src.rpm

i386:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-devel-7.07-33.13.el4.i386.rpm
ghostscript-gtk-7.07-33.13.el4.i386.rpm

ia64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.ia64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.ia64.rpm
ghostscript-devel-7.07-33.13.el4.ia64.rpm
ghostscript-gtk-7.07-33.13.el4.ia64.rpm

x86_64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.x86_64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.x86_64.rpm
ghostscript-devel-7.07-33.13.el4.x86_64.rpm
ghostscript-gtk-7.07-33.13.el4.x86_64.rpm

Red Hat Enterprise Linux WS version 4:

Source:
ftp://updates.redhat.com/enterprise/4WS/en/os/SRPMS/ghostscript-7.07-33.13.el4.src.rpm

i386:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-devel-7.07-33.13.el4.i386.rpm
ghostscript-gtk-7.07-33.13.el4.i386.rpm

ia64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.ia64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.ia64.rpm
ghostscript-devel-7.07-33.13.el4.ia64.rpm
ghostscript-gtk-7.07-33.13.el4.ia64.rpm

x86_64:
ghostscript-7.07-33.13.el4.i386.rpm
ghostscript-7.07-33.13.el4.x86_64.rpm
ghostscript-debuginfo-7.07-33.13.el4.i386.rpm
ghostscript-debuginfo-7.07-33.13.el4.x86_64.rpm
ghostscript-devel-7.07-33.13.el4.x86_64.rpm
ghostscript-gtk-7.07-33.13.el4.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/#package

7. References:

https://www.redhat.com/security/data/cve/CVE-2010-4054.html
https://www.redhat.com/security/data/cve/CVE-2010-4820.html
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2012 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.4 (GNU/Linux)

iD8DBQFPKxQ7XlSAg2UNWIIRAjNGAKCB0hy3ETmh4O6CkzSzUlUJu2ERhACdGXlu
xskQrEPGEade4HdxafmR0vs=
=zRPc
-----END PGP SIGNATURE-----



Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/5_security_updates_for_rhel.html)